Replace all the deprecated APIs with used in GTK 2.24.x.
authorAndriy Grytsenko <andrej@rep.kiev.ua>
Fri, 25 Jul 2014 18:33:51 +0000 (21:33 +0300)
committerAndriy Grytsenko <andrej@rep.kiev.ua>
Fri, 25 Jul 2014 18:41:31 +0000 (21:41 +0300)
commit09fa171bf8e302da915fbce7958460e78eef714c
treecbd45648b214c6483b5ea67796df915f6415d276
parenteb1762e5f1cbc7ff08ec9adec5763aa0408d90f0
Replace all the deprecated APIs with used in GTK 2.24.x.

Also raise min GTK+ version to 1.18 - that is required by LibFM anyway.
30 files changed:
configure.ac
src/bg.c
src/icon-grid.c
src/misc.c
src/panel.c
src/plugin.c
src/plugins/batt/batt.c
src/plugins/cpu/cpu.c
src/plugins/cpufreq/cpufreq.c
src/plugins/dclock.c
src/plugins/indicator/indicator.c
src/plugins/kbled/kbled.c
src/plugins/launchtaskbar.c
src/plugins/menu.c
src/plugins/monitors/monitors.c
src/plugins/netstat/netstat.c
src/plugins/netstat/statusicon.c
src/plugins/netstat/statusicon.h
src/plugins/netstatus/netstatus-dialog.c
src/plugins/netstatus/netstatus-icon.c
src/plugins/pager.c
src/plugins/separator.c
src/plugins/space.c
src/plugins/thermal/thermal.c
src/plugins/tray.c
src/plugins/volume/volume.c
src/plugins/volumealsa/volumealsa.c
src/plugins/weather/weatherwidget.c
src/plugins/wincmd.c
src/plugins/xkb/xkb.c